curl --request GET \
--url https://api.phrase.com/v2/projects/{project_id}/pre_translations \
--header 'Authorization: <api-key>'import requests
url = "https://api.phrase.com/v2/projects/{project_id}/pre_translations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/pre_translations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"status": "pending",
"translatable_type": "locale",
"translatable_id": "abcd1234cdef1234abcd1234cdef1234",
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]List pre-translation jobs
Returns all pre-translation jobs scoped to a project, ordered by creation date descending.
Authorizations
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Last modified condition, see Conditional GET requests / HTTP Caching (optional)
ETag condition, see Conditional GET requests / HTTP Caching (optional)
Path Parameters
Project ID
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
Response
OK
"abcd1234cdef1234abcd1234cdef1234"
Current execution state of the pre-translation job. Jobs start as pending while queued, transition to running while executing, and settle to success or error.
pending, running, success, error Resource type that was pre-translated.
locale, job, translation_key, upload ID of the targeted resource (locale ID, job ID, key ID, or upload ID).
"abcd1234cdef1234abcd1234cdef1234"
Error message. null unless the job's status is error.
Was this page helpful?